info.bioinfweb.jphyloio.formats.phyloxml

## Enum PhyloXMLPredicateTreatment

- java.lang.Object
- - java.lang.Enum<PhyloXMLPredicateTreatment>
  - - info.bioinfweb.jphyloio.formats.phyloxml.PhyloXMLPredicateTreatment

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PhyloXMLPredicateTreatment>

      public enum PhyloXMLPredicateTreatment
      extends java.lang.Enum<PhyloXMLPredicateTreatment>

  This class enumerated ways to translate specific predicates to XML structures in a PhyloXML document.
  Author:
    Sarah Wiechers
  See Also:
    `PhyloXMLPredicateInfo`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ATTRIBUTE` The meta event with this predicate contains information about an attribute of a PhyloXML tag.
    `CUSTOM_XML` The meta event with this predicate contains information about some custom XML that shall be written to a PhyloXML document.
    `TAG` The meta event with this predicate contains information about a PhyloXML tag.
    `TAG_AND_VALUE` The meta event with this predicate contains information about a PhyloXML tag and its content.
    `VALUE` The meta event with this predicate contains information about the content of a PhyloXML tag.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PhyloXMLPredicateTreatment` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PhyloXMLPredicateTreatment[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TAG

          public static final PhyloXMLPredicateTreatment TAG

      The meta event with this predicate contains information about a PhyloXML tag.

    - #### ATTRIBUTE

          public static final PhyloXMLPredicateTreatment ATTRIBUTE

      The meta event with this predicate contains information about an attribute of a PhyloXML tag.

    - #### VALUE

          public static final PhyloXMLPredicateTreatment VALUE

      The meta event with this predicate contains information about the content of a PhyloXML tag.

    - #### TAG_AND_VALUE

          public static final PhyloXMLPredicateTreatment TAG_AND_VALUE

      The meta event with this predicate contains information about a PhyloXML tag and its content.

    - #### CUSTOM_XML

          public static final PhyloXMLPredicateTreatment CUSTOM_XML

      The meta event with this predicate contains information about some custom XML that shall be written to a PhyloXML document.

  - ### Method Detail

    - #### values

          public static PhyloXMLPredicateTreatment[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PhyloXMLPredicateTreatment c : PhyloXMLPredicateTreatment.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PhyloXMLPredicateTreatment valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null